Bug 75814 - spamassassin does not function
spamassassin does not function
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: spamassassin (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-12 20:15 EDT by Dumitru Ciobarcianu
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-28 17:07:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dumitru Ciobarcianu 2002-10-12 20:15:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
doing "cat sample-spam.txt | spamc" is not recognized as spam

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start spamd (/etc/init.d/spamassassin start)
2. Go to /usr/share/doc/spamassassin-2.31
3. "cat sample-spam.txt | spamc || echo $? " Should return 1 (recognized as
spam) instead it returns 74
3. "cat sample-nonspam.txt | spamc || echo $? " Should return 0 (not spam)
instead it returns 74
Comment 1 Chip Turner 2002-11-04 19:25:17 EST
please attach the spam you're seeing trouble with.  also please comfirm it works
with the non-daemon spamassassin.  an strace of the spamd daemon during this
would also be helpful.
Comment 2 Thomas M Steenholdt 2003-02-14 02:28:17 EST
This might actually be a problem with the spamassassin version included with Red
Hat 8.0.
I was investigatnig the same problem at my house last night and found that it
was in the auto-whitelist functionality (-a passed to spamd) that the problem
should be found... And the problem at my place is only there when spamc is run
as root.
For some reason the new_checker function in DBBasedAddrList.pm is seeing $path
for the root user as //.spamassassin/ instead of /root/.spamassassin...

try running

"spamd -a -c"

as root on one terminal (leave out the -d specified in the init.d script). Then
on another tty run, also as root;

"spamc </usr/share/doc/spamassassin-2.31/sample-spam.txt"

and you will see:
"Cannot create tmp lockfile //.spamassassin/auto-whitelist.lock : No such file
or directory" This error is displayed from line 55 in DBBasedAddrList.pm.

What i did to circumvent the error was to upgrade to latest RawHide 2.43-10
version, which does not seem to have this problem.
Comment 3 Warren Togami 2004-02-28 17:07:46 EST
I'm quite sure this issue was fixed a long time ago, and also RH8 has
hit End Of Life support.  You may want to upgrade to newer
distributions anyway if you are still using RH8.  File a new bug
against the newer distributions if you are still having problems. 
Thank you.

Note You need to log in before you can comment on or make changes to this bug.